﻿open System
open System.Text

//====================================================
// Подробное описание исходника на:
// https://www.interestprograms.ru
// Исходные коды программ и игр
//====================================================

Console.OutputEncoding <- Encoding.UTF8
Console.CursorVisible <- false
Console.BackgroundColor <- ConsoleColor.Blue
Console.ForegroundColor <- ConsoleColor.Black
Console.Clear()


let game = Game.Game(100, 4, 8)

let mutable exit = ConsoleKey.A

while exit <> ConsoleKey.Spacebar do
    let action = Console.ReadKey(true)

    if action.Key = ConsoleKey.RightArrow then
        game.Right()

    if action.Key = ConsoleKey.LeftArrow then
        game.Left()

    if action.Key = ConsoleKey.DownArrow then
        game.Down()

    if action.Key = ConsoleKey.UpArrow then
        game.Up()

    exit <- action.Key